ChangeSet 1.1297, 2003/06/04 17:42:16-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/x86_64/kernel/bluesmoke.c


 arch/x86_64/kernel/bluesmoke.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/x86_64/kernel/bluesmoke.c b/arch/x86_64/kernel/bluesmoke.c
--- a/arch/x86_64/kernel/bluesmoke.c	Wed Jun  4 18:06:45 2003
+++ b/arch/x86_64/kernel/bluesmoke.c	Wed Jun  4 18:06:45 2003
@@ -125,9 +125,9 @@
 
 static struct pci_dev *find_k8_nb(void)
 { 
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	int cpu = smp_processor_id(); 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if (dev->bus->number==0 && PCI_FUNC(dev->devfn)==3 &&
 		    PCI_SLOT(dev->devfn) == (24U+cpu))
 			return dev;
